################################################
################################################
### Author：Chuiger
### Date：2019-04-11
### Weibo：@锤哥Chuiger
rm(list = ls())
options(stringsAsFactors = F)
#setwd("C:\\Users\\dell\\Desktop\\2019-05-28\\TCGA_code\\5_survival")#修改工作目录
datClin=read.table('TCGA-LIHC_Merge-clinical.txt',header = T,sep = '\t',quote = '')
clin_info <-datClin[c('A0_Samples','days_to_death','vital_status','days_to_last_followup')]
clin_info <- as.data.frame(clin_info)
clin_info$time <- ifelse(clin_info$vital_status == 'Alive', clin_info$days_to_last_followup,clin_info$days_to_death)
clin_info$status <- ifelse(clin_info$vital_status == 'Alive', 0,1)
clin <- clin_info[c('A0_Samples','time','status')]
clin <- unique(clin)
write.table(clin,file="clinical.txt",sep="\t",quote=F,row.names=F)
